Archive for 二月, 2014

mod_wsgi 的安装

星期五, 二月 28th, 2014

好久没更新博客了,博客搬家后第一更。

 

在正常安装完python2.7之后, 再编译安装mod_wsgi会出现 “libpython2.7.a(node.o):” 的错误,此时要重新编译一下Python

在python代码目录里,用  make clean && ./configure –enalbe-shared && make && make install

来重新编译,此时make会提示很多but the necessary bits to build these modules were not found: 下面列出一些库,我目前的经验,下面这些库大多是用不上的,不用过于担心,等用到某些库的时候,在回头重新编译就是了。

 

重新编译后,运行python可能会提示  libpython2.7.so.1.0 缺失的问题,这时候只要

ln -s /usr/local/lib/libpython2.7.so.1.0  /usr/lib64/ 就好了